Package com.independentsoft.office.drawing

# Class PresetShadow

java.lang.Object
com.independentsoft.office.drawing.Color
com.independentsoft.office.drawing.PresetShadow

public class PresetShadow extends Color
The Class PresetShadow.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.drawing.Color

  `colorChoice`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PresetShadow()`
  Instantiates a new preset shadow.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PresetShadow`
  `clone()`
  `int`
  `getDirection()`
  Gets the direction.
  `Unit`
  `getDistance()`
  Gets the distance.
  `PresetShadowValue`
  `getValue()`
  Gets the value.
  `void`
  `setDirection​(int direction)`
  Sets the direction.
  `void`
  `setDistance​(Unit distance)`
  Sets the distance.
  `void`
  `setValue​(PresetShadowValue val)`
  Sets the value.
  `String`
  `toString()`

  ### Methods inherited from class com.independentsoft.office.drawing.Color

  `getColorChoice, setColorChoice`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PresetShadow

    public PresetShadow()
    Instantiates a new preset shadow.

- ## Method Details

  - ### clone

    public PresetShadow clone()
    Specified by:
      `clone` in class `Color`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDirection

    public int getDirection()
    Gets the direction.
    Returns:
      the direction

  - ### setDirection

    public void setDirection​(int direction)
    Sets the direction.
    Parameters:
      `direction` - the new direction

  - ### getDistance

    public Unit getDistance()
    Gets the distance.
    Returns:
      the distance

  - ### setDistance

    public void setDistance​(Unit distance)
    Sets the distance.
    Parameters:
      `distance` - the new distance

  - ### getValue

    public PresetShadowValue getValue()
    Gets the value.
    Returns:
      the value

  - ### setValue

    public void setValue​(PresetShadowValue val)
    Sets the value.
    Parameters:
      `val` - the new value